FCPE-SPI FLAM Column Processing Exit (FCPE) Service Provider Interface (SPI)

Data Structures | Macros | Typedefs
FCPE.h File Reference

FCPE - FLAM column processor exit. More...

`#include "FLMRTC.h"`
`#include "FLMDEF.h"`

Go to the source code of this file.

## Data Structures
struct | FcpeOpn
| FCPE parameter structure for function code FCPE_FUNC_OPN. More...
struct | FcpeRun
| FCPE Run structure. More...
struct | FcpeCls
| FCPE Close structure. More...
union | FcpePar
| FCPE Union of function structures. More...

## Macros
#define | FCPE_FUNC_OPN 1
| Function code for opening (used in the first call of the exit function) More...
#define | FCPE_FUNC_RUN 2
| Function code for processing data More...
#define | FCPE_FUNC_CLS 3
| Function code for closing (used in the last call of the exit function) More...
#define | FCPE_DEFLIB_NAME "libfcpe"
| Default library name More...
#define | FCPE_DEFFUC_NAME "FLAMCPE"
| Default function name. More...
#define | FCPE_CMBFRM_NON 0U
| No combined character form. More...
#define | FCPE_CMBFRM_NFD 1U
| Normalization Form Canonical Decomposition. More...
#define | FCPE_CMBFRM_NFC 2U
| Normalization Form Canonical Composition. More...
#define | FCPE_FLAG_WRITE 0x00000001U
| [INPUT] If set by exit driver, this signals that the exit is called as post-processing on the writing side More...
#define | FCPE_FLAG_NOCPY 0x00000002U
| [OUTPUT] Must be set by the exit function if it does not write data to the output buffer (validation or in-place manipulation of input) More...

## Typedefs
typedef struct FcpeOpn | TsFcpeOpn
| FCPE parameter structure for function code FCPE_FUNC_OPN. More...
typedef struct FcpeRun | TsFcpeRun
| FCPE Run structure. More...
typedef struct FcpeCls | TsFcpeCls
| FCPE Close structure. More...
typedef union FcpePar | TuFcpePar
| FCPE Union of function structures. More...
typedef void() | TfFcpExit(void **ppHdl, int *piRetco, const int *piFunc, TuFcpePar *puPara)
| FCPE function. More...

## Detailed Description

FCPE - FLAM column processor exit.

Author
  limes datentechnik gmbh

Date
  07.08.2018

Copyright
  (c) 2018 limes datentechnik gmbh